# Copyright 2019 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

from autotest_lib.server import utils

AUTHOR = "ChromeOS Team"
NAME = "firmware_ECCbiEeprom"
PURPOSE = "Servo-based CBI EEPRROM functionality test"
CRITERIA = "Tests minimum requirements of CBI EEPROM, e.g. write protect."
ATTRIBUTES = "suite:faft_ec, suite:faft_ec_fw_qual, suite:faft_ec_tot"
TIME = "SHORT"
TEST_CATEGORY = "Functional"
TEST_CLASS = "firmware"
TEST_TYPE = "server"
DEPENDENCIES = "ec:cros, servo_state:WORKING"
JOB_RETRIES = 0
PY_VERSION = 3

DOC = """
Ensure that the EEPROM for Cros Board Info meets minimum hardware requirements.
"""

args_dict = utils.args_to_dict(args)
servo_args = hosts.CrosHost.get_servo_arguments(args_dict)

def run_eccbieeprom(machine):
    host = hosts.create_host(machine, servo_args=servo_args)
    job.run_test("firmware_ECCbiEeprom", host=host, cmdline_args=args,
                 disable_sysinfo=True)

parallel_simple(run_eccbieeprom, machines)
